Skip to main content
Settings/Plugin Operations

DeletePluginDrivers

DeletePluginDrivers

DELETE/zstack/v1/external/plugins/{uuid}

Operation ID

DeletePluginDrivers

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource Uuid.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

  • deleteMode
    String

    Optional. The deletetion mode (Permissive / Enforcing,Permissive).

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}